      SUBROUTINE OMOVE(X,Y,V,D,WV,WD,DV,DD)                             2564
C     ...MOVEMENT SUBROUTINE FOR KLINGONS AND GHOSTSHIPS.               2565
      DELV=AMIN1(DV,ABS(WV-V))                                          2566
      DELTA=WD-D                                                        2567
      IF(WV.LT.V)DELV=-DELV                                             2568
      IF(ABS(DELTA).GT.180.)DELTA=DELTA-SIGN(360.,DELTA)                2569
      IF(ABS(DELTA).GT.DD)DELTA=SIGN(DD,DELTA)                          2570
      VX=COSD(D+DELTA/2.)*(V+DELV/2.)                                   2571
      VY=SIND(D+DELTA/2.)*(V+DELV/2.)                                   2572
      V=V+DELV                                                          2573
      D=D+DELTA                                                         2574
      IF(D.GE.360.)D=D-360.                                             2575
      IF(D.LT.0.)D=D+360.                                               2576
      X=X+VX                                                            2577
      Y=Y+VY                                                            2578
      RETURN                                                            2579
      END                                                               2580
